Get Subscription
curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/subscriptions/{subscriptionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/subscriptions/{subscriptionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sellauth.com/v1/shops/{shopId}/subscriptions/{subscriptionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subscription": {
"id": 1,
"shop_id": 1,
"customer_id": 1,
"product_id": 1,
"variant_id": 1,
"product_name": "License Keys",
"variant_name": "Standard",
"initial_invoice_id": 1,
"open_renewal_invoice_id": null,
"gateway": null,
"renewal_method": "manual",
"payment_method_id": null,
"status": "active",
"interval": "month",
"interval_count": 1,
"trial_days": 0,
"trial_ends_at": null,
"quantity": 1,
"currency": "USD",
"recurring_price": "14.99",
"recurring_price_usd": null,
"renewal_delivery": "redeliver",
"current_period_start": null,
"current_period_end": null,
"cycles_completed": 0,
"cancel_at_period_end": false,
"cancelled_at": null,
"expired_at": null,
"cancellation_reason": null,
"external_id": null,
"external_customer_id": null,
"last_renewal_reminder_at": null,
"failed_payment_count": 0,
"suspended_at": null,
"metadata": null,
"created_at": "2026-09-20T15:56:24.000000Z",
"updated_at": "2026-09-20T15:56:24.000000Z",
"deleted_at": null,
"customer": {
"id": 1,
"email": "customer@sellauth.test"
},
"product": {
"id": 1,
"name": "License Keys",
"stock_count": 0
},
"variant": {
"id": 1,
"name": "Standard"
}
},
"invoices": []
}Subscriptions
Get Subscription
Retrieves a specific subscription with its recent invoices.
GET
/
v1
/
shops
/
{shopId}
/
subscriptions
/
{subscriptionId}
Get Subscription
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The ID of the shop.
The ID of the subscription.